Bug 1560907 - [abrt] pick_next_task_fair: WARNING: CPU: 4 PID: 34 at net/core/dev.c:5505 net_rx_action+0x2d0/0x3c0 [NEEDINFO]
Summary: [abrt] pick_next_task_fair: WARNING: CPU: 4 PID: 34 at net/core/dev.c:5505 ne...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:44df5b85f24ed903f6c5602120f...
: 1564104 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-27 09:03 UTC by Gabriel JEAN
Modified: 2018-09-16 01:24 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:19:44 UTC
Type: ---
Embargoed:
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (94.71 KB, text/plain)
2018-03-27 09:03 UTC, Gabriel JEAN
no flags Details
dmesg-4.15 (107.41 KB, text/plain)
2018-03-30 12:57 UTC, Gabriel JEAN
no flags Details

Description Gabriel JEAN 2018-03-27 09:03:10 UTC
Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 4 PID: 34 at net/core/dev.c:5505 net_rx_action+0x2d0/0x3c0
Modules linked in: lp parport ccm rfcomm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat arc4 tpm_crb snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support mei_wdt snd_hda_codec_realtek snd_hda_codec_generic intel_rapl x86_pkg_temp_thermal dell_laptop intel_powerclamp coretemp kvm_intel dell_smm_hwmon kvm ath10k_pci ath10k_core irqbypass intel_cstate snd_hda_intel
 intel_uncore mac80211 snd_hda_codec intel_rapl_perf snd_hda_core snd_hwdep snd_seq uvcvideo snd_seq_device snd_pcm videobuf2_vmalloc videobuf2_memops hci_uart videobuf2_v4l2 videobuf2_core btusb ath btrtl dell_wmi btqca btbcm dell_smbios dcdbas wmi_bmof videodev rtsx_pci_ms btintel snd_timer cfg80211 thunderbolt joydev snd mei_me i2c_i801 soundcore nvmem_core bluetooth media memstick idma64 mei intel_lpss_pci intel_pch_thermal processor_thermal_device intel_soc_dts_iosf shpchp ecdh_generic rfkill pinctrl_sunrisepoint dell_smo8800 intel_hid pinctrl_intel sparse_keymap tpm_tis tpm_tis_core intel_lpss_acpi acpi_als tpm intel_lpss int3403_thermal kfifo_buf int340x_thermal_zone industrialio int3400_thermal acpi_pad acpi_thermal_rel btrfs xor raid6_pq dm_crypt hid_multitouch rtsx_pci_sdmmc
 mmc_core mxm_wmi i915 crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit ghash_clmulni_intel drm_kms_helper serio_raw drm nvme nvme_core rtsx_pci i2c_hid wmi video
CPU: 4 PID: 34 Comm: ksoftirqd/4 Not tainted 4.13.9-300.fc27.x86_64 #1
Hardware name: Dell Inc. XPS 15 9560/05FFDN, BIOS 1.8.1 03/16/2018
task: ffff9de159d44d80 task.stack: ffffa8e8432b4000
RIP: 0010:net_rx_action+0x2d0/0x3c0
RSP: 0018:ffffa8e8432b7de0 EFLAGS: 00010297
RAX: 0000000000000041 RBX: 00000000ffffffff RCX: ffff9de155971ed0
RDX: ffff9dd92a006000 RSI: 00000000fffffe01 RDI: ffffffffc0a24c40
RBP: ffffa8e8432b7e50 R08: 0000000000000002 R09: 0000000000000000
R10: 0000000000004f75 R11: 0000000000000001 R12: ffff9de155977ba0
R13: 0000000000000040 R14: 0000000000000000 R15: 0000000000000003
FS:  0000000000000000(0000) GS:ffff9de17e500000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f08650d8000 CR3: 00000003fde09000 CR4: 00000000003406e0
Call Trace:
 ? pick_next_task_fair+0x491/0x550
 __do_softirq+0xea/0x2bf
 run_ksoftirqd+0x29/0x60
 smpboot_thread_fn+0xec/0x160
 kthread+0x125/0x140
 ? sort_range+0x30/0x30
 ? kthread_park+0x60/0x60
 ret_from_fork+0x25/0x30
Code: 8b 7e 08 49 83 c6 18 44 89 e9 44 89 fa 4c 89 e6 41 ff d2 4d 8b 16 4d 85 d2 75 e4 4c 8b 75 90 44 89 f8 41 39 c5 0f 8d 95 fe ff ff <0f> ff 41 39 c5 0f 8f 93 fe ff ff 49 8b 44 24 10 a8 04 0f 85 88

Comment 1 Gabriel JEAN 2018-03-27 09:03:32 UTC
Created attachment 1413635 [details]
File: dmesg

Comment 2 Laura Abbott 2018-03-28 17:17:35 UTC
Can you upload a new dmesg from the 4.15.x series of kernel if this issue is still happening?

Comment 3 Gabriel JEAN 2018-03-30 12:57:50 UTC
Created attachment 1415097 [details]
dmesg-4.15

Please find attached a new dmesg output running 4.15.13-300.fc27.x86_64 from updates-testing repo.

Not sure what is triggering this issue as it happens randomly. I'll try to use my laptop without thunderbolt dock this week end as I suspect it.

Comment 4 Mathias 2018-04-01 08:36:14 UTC
Description of problem:
- Booted
- Logged in (as normal user)

Version-Release number of selected component:
kernel-core-4.15.13-300.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.15.13-300.fc27.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=nl_BE.UTF-8
crash_function: sort_range
kernel:         4.15.13-300.fc27.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 16 at net/core/dev.c:5637 net_rx_action+0x2f3/0x3f0
Modules linked in: ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep binfmt_misc sunrpc vfat fat arc4 btusb btrtl btbcm btintel uvcvideo bluetooth videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev media ecdh_generic ath10k_pci snd_soc_skl snd_hda_codec_hdmi ath10k_core snd_soc_skl_ipc intel_rapl snd_hda_ext_core snd_soc_sst_dsp x86_pkg_temp_thermal intel_powerclamp
 coretemp iTCO_wdt mei_wdt iTCO_vendor_support snd_soc_sst_ipc snd_soc_acpi mac80211 kvm_intel snd_hda_codec_realtek snd_soc_core snd_hda_codec_generic wmi_bmof dell_smbios_wmi dell_wmi intel_wmi_thunderbolt dell_wmi_descriptor snd_compress snd_pcm_dmaengine ac97_bus kvm snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep ath dell_laptop snd_seq dell_smbios_smm snd_seq_device dell_smbios irqbypass crct10dif_pclmul crc32_pclmul dcdbas snd_pcm ghash_clmulni_intel cfg80211 intel_cstate intel_uncore intel_rapl_perf rtsx_pci_ms rfkill memstick snd_timer joydev snd soundcore i2c_i801 mei_me idma64 shpchp intel_pch_thermal tpm_crb mei intel_lpss_pci processor_thermal_device intel_lpss intel_soc_dts_iosf wmi soc_button_array intel_vbtn pinctrl_sunrisepoint pinctrl_intel tpm_tis intel_hid tpm_tis_core
 int3403_thermal acpi_pad tpm sparse_keymap int340x_thermal_zone int3400_thermal acpi_thermal_rel hid_multitouch hid_logitech_hidpp hid_logitech_dj i915 rtsx_pci_sdmmc mmc_core r8152 i2c_algo_bit mii drm_kms_helper nvme drm rtsx_pci nvme_core serio_raw crc32c_intel i2c_hid video
CPU: 1 PID: 16 Comm: ksoftirqd/1 Not tainted 4.15.13-300.fc27.x86_64 #1
Hardware name: Dell Inc. XPS 13 9360/00GCYR, BIOS 2.6.2 02/26/2018
RIP: 0010:net_rx_action+0x2f3/0x3f0
RSP: 0018:ffffb5bb40d37e10 EFLAGS: 00010297
RAX: 0000000000000047 RBX: 00000000ffffffff RCX: ffff941632161e88
RDX: ffff9413ff802000 RSI: 00000000fffffe01 RDI: ffffffffc0ce7d2e
RBP: 0000000000000047 R08: 0000000000000002 R09: 0000000000000000
R10: 0000000000004028 R11: 0000000000000001 R12: 0000000000000040
R13: 00000000000000e5 R14: ffff941632167b60 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff94163e480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f05c4002730 CR3: 000000018820a002 CR4: 00000000003606e0
Call Trace:
 ? sort_range+0x20/0x20
 __do_softirq+0xe7/0x2cb
 ? sort_range+0x20/0x20
 run_ksoftirqd+0x1c/0x60
 smpboot_thread_fn+0xef/0x160
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 8b 7d 08 49 83 c5 18 44 89 e1 89 ea 4c 89 f6 e8 94 fd 4a 00 4d 8b 55 00 4d 85 d2 75 e2 44 8b 6c 24 14 41 39 ec 0f 8d 76 fe ff ff <0f> 0b 41 39 ec 0f 8f 74 fe ff ff 49 8b 46 10 a8 04 0f 85 9a 00

Comment 5 Mathias 2018-04-01 08:37:43 UTC
side-note: I also have a thunderbolt dock attached.

Comment 6 Guilhem Lavaux 2018-04-05 11:39:13 UTC
*** Bug 1564104 has been marked as a duplicate of this bug. ***

Comment 7 Gabriel JEAN 2018-04-08 17:06:19 UTC
Description of problem:
Just randomly appearing while using a thunderbolt dock (Dell TB16)

Version-Release number of selected component:
kernel-core-4.15.15-300.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.15.15-300.fc27.x86_64 root=UUID=de97e121-6635-4bbd-882f-097981d59645 ro rootflags=subvol=root rd.luks.uuid=luks-1bfdd1bc-a6c7-4364-ad37-73c8786e3134 rd.luks.uuid=luks-aa88f75f-ab97-46a0-ad7e-decec26a473f pci=nommconf rhgb quiet LANG=en_US.UTF-8
crash_function: sort_range
kernel:         4.15.15-300.fc27.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 22 at net/core/dev.c:5645 net_rx_action+0x2f3/0x3f0
Modules linked in: rfcomm fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat arc4 ath10k_pci ath10k_core snd_hda_codec_hdmi mac80211 mei_wdt iTCO_wdt iTCO_vendor_support intel_rapl ath dell_smbios_smm dcdbas x86_pkg_temp_thermal intel_powerclamp dell_smm_hwmon coretemp cfg80211 dell_laptop kvm_intel thunderbolt snd_hda_codec_realtek snd_hda_codec_generic nvmem_core
 kvm rtsx_pci_ms snd_hda_intel memstick snd_hda_codec snd_hda_core irqbypass intel_cstate snd_hwdep snd_seq btusb intel_uncore snd_seq_device btrtl btbcm btintel intel_rapl_perf uvcvideo snd_pcm bluetooth videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core tpm_crb videodev snd_timer dell_wmi dell_smbios_wmi snd dell_smbios dell_wmi_descriptor wmi_bmof intel_wmi_thunderbolt media soundcore i2c_i801 joydev mei_me ecdh_generic idma64 rfkill mei shpchp intel_lpss_pci processor_thermal_device intel_lpss intel_soc_dts_iosf intel_pch_thermal intel_hid tpm_tis tpm_tis_core sparse_keymap int3400_thermal tpm int3403_thermal acpi_thermal_rel int340x_thermal_zone acpi_pad btrfs xor zstd_decompress zstd_compress xxhash raid6_pq dm_crypt hid_multitouch i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit
 mxm_wmi drm_kms_helper crct10dif_pclmul drm crc32_pclmul crc32c_intel nvme nvme_core serio_raw rtsx_pci ghash_clmulni_intel i2c_hid wmi video
CPU: 2 PID: 22 Comm: ksoftirqd/2 Not tainted 4.15.15-300.fc27.x86_64 #1
Hardware name: Dell Inc. XPS 15 9560/05FFDN, BIOS 1.8.1 03/16/2018
RIP: 0010:net_rx_action+0x2f3/0x3f0
RSP: 0018:ffffab7ac325fe10 EFLAGS: 00010293
RAX: 0000000000000042 RBX: 00000000ffffffff RCX: ffff9ecbc0231e28
RDX: ffff9ec3a9820000 RSI: 00000000fffffe01 RDI: ffffffffc0daed2e
RBP: 0000000000000042 R08: 0000000000000002 R09: 0000000000000000
R10: 000000000000433f R11: 0000000000000001 R12: 0000000000000040
R13: 00000000000000ea R14: ffff9ecbc0237b60 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff9ecbfe480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000004e000ead000 CR3: 000000053020a002 CR4: 00000000003606e0
Call Trace:
 ? sort_range+0x20/0x20
 __do_softirq+0xe7/0x2cb
 ? sort_range+0x20/0x20
 run_ksoftirqd+0x1c/0x60
 smpboot_thread_fn+0xef/0x160
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 8b 7d 08 49 83 c5 18 44 89 e1 89 ea 4c 89 f6 e8 74 fd 4a 00 4d 8b 55 00 4d 85 d2 75 e2 44 8b 6c 24 14 41 39 ec 0f 8d 76 fe ff ff <0f> 0b 41 39 ec 0f 8f 74 fe ff ff 49 8b 46 10 a8 04 0f 85 9a 00

Comment 8 Justin M. Forbes 2018-07-23 15:28:05 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 9 Justin M. Forbes 2018-08-29 15:19:44 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.